Bug 73770 - "service named reload" looks borken
"service named reload" looks borken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-10 11:47 EDT by James Antill
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-24 07:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Antill 2002-09-10 11:47:53 EDT
Description of Problem:
# service named reload 
/sbin/service: line 65: 11511 Hangup                  env -i LANG=$LANG
"${SERVICEDIR}/${SERVICE}" ${OPTIONS}
zsh: 11508 exit 129   service named reload
# /etc/init.d/named reload
zsh: 11634 hangup     /etc/init.d/named reload

Version-Release number of selected component (if applicable):

initscripts-6.67-1

How Reproducible:
 Always

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
 It's not obvious if named is actually reloading or not.

 I thought this was a bug in the service command for a bit ... service should
really display a better message.
Comment 1 Daniel Walsh 2003-01-06 15:13:51 EST
Fixed in bind-9.2.1-12
Comment 2 Marius Andreiana 2003-04-24 03:31:47 EDT
Confirming this is fixed:

[root@marte named]# rpm -q bind
bind-9.2.1-16
[root@marte named]# service named reload
Reloading named:                                           [  OK  ]
[root@marte named]#

Note You need to log in before you can comment on or make changes to this bug.